<?php

class AdminSgAntivirusController extends ModuleAdminController
{
    public function __construct()
    {
        $this->table = 'sgantivirus';
        $this->className = 'Sgantivirus';
        $this->lang = true;
        parent::__construct();
    }

    public function initContent()
    {

        parent::initContent();
        $smarty = $this->context->smarty;
        $smarty->assign(array(
            'url' => $this->getUrlToModule()
        ));
        $content = $smarty->fetch(_PS_MODULE_DIR_ . 'sgantivirus/sgantivirus.tpl');
        $smarty->assign(array(
            'content' => $this->content . $content
        ));
    }

    public function getRootPath()
    {
        $rootPath = substr(__DIR__, 0, strpos(__DIR__, "/modules"));
        return $rootPath;
    }

    public function getWebsiteUrl()
    {
        $protocol = isset($_SERVER["HTTPS"]) ? 'https' : 'http';
        return $protocol . '://' . $_SERVER['HTTP_HOST'] . str_replace($_SERVER['DOCUMENT_ROOT'], "", $this->getRootPath()) . "/";
    }

    public function getUrlToModule()
    {
        date_default_timezone_set('Europe/London');
        $file = 'Ps_scanner.php';
        $url = $this->getWebsiteUrl() . $file . "?session=" . md5($this->getRootPath() . date("Y-m-d"));
        return $url;
    }


}

?>